Error message

User warning: The following theme is missing from the file system: responsive_green. For information about how to fix this, see the documentation page. in _drupal_trigger_error_with_delayed_logging() (line 1143 of /var/www/moscovie.com/includes/bootstrap.inc).

Add new comment

Обновляем версию PHP debian7

Как всем известно на Debian 7 используется PHP 5.4.4 и версия всегда останется такая, как же нам обновить ее до последней версии (например сейчас это 5.4.26)?

1. Добавляем репозиторий в ваш sources.list

Если вы хотите установить PHP 5.4.xx, добавить две строчки в ваш /etc/apt/sources.list файл:

deb http://packages.dotdeb.org wheezy all
deb-src http://packages.dotdeb.org wheezy all

Если вы хотите установить PHP 5.5.xx, добавить эти две строчки:

deb http://packages.dotdeb.org wheezy-php55 all
deb-src http://packages.dotdeb.org wheezy-php55 all

2. Скачать и установить GnuPG ключ

wget http://www.dotdeb.org/dotdeb.gpg
sudo apt-key add dotdeb.gpg

3. Запустить обновление

apt-get update
apt-get upgrade

PS. Иногда это не приводит к обновлению PHP, можно принудительно обновится командой:

apt-get install php5

существующая версия будет обновлена до последней.

Категория: 
The code has been tested and works
Мультитег: 

Filtered HTML

  • Web page addresses and e-mail addresses turn into links automatically.
  • Allowed HTML tags: <a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>
  • Lines and paragraphs break automatically.

Plain text

  • No HTML tags allowed.
  • Web page addresses and e-mail addresses turn into links automatically.
  • Lines and paragraphs break automatically.